#!/bin/bash

# Función para eliminar emojis dentro del contenido de los archivos
remove_emojis_from_file() {
    perl -CSDA -i -pe 's/[\x{1F300}-\x{1F6FF}\x{1F900}-\x{1F9FF}\x{2600}-\x{26FF}\x{2700}-\x{27BF}]//g' "$1"
}

export -f remove_emojis_from_file

# Buscar archivos de texto y procesarlos
find "$1" -type f -print0 | while IFS= read -r -d '' file; do
    remove_emojis_from_file "$file"
    echo "Procesado: $file"
done

